<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Identifier Index</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Indices&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/spotted-unipd">PySpottedUnipd</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">&nbsp;</td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="identifier-index.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<table border="0" width="100%">
<tr valign="bottom"><td>
<h1 class="epydoc">Identifier Index</h1>
</td><td>
[
 <a href="#A">A</a>
  B
 <a href="#C">C</a>
 <a href="#D">D</a>
  E
 <a href="#F">F</a>
 <a href="#G">G</a>
 <a href="#H">H</a>
 <a href="#I">I</a>
  J
  K
  L
 <a href="#M">M</a>
 <a href="#N">N</a>
  O
 <a href="#P">P</a>
  Q
  R
 <a href="#S">S</a>
 <a href="#T">T</a>
 <a href="#U">U</a>
  V
 <a href="#W">W</a>
  X
  Y
  Z
 <a href="#_">_</a>
]
</td></table>
<table border="0" width="100%">
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="A">A</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#add_msg_stats_columns">add_msg_stats_columns()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#add_time_msg_stats">add_time_msg_stats()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#AVAILABLE_OUTPUT_FORMATS">AVAILABLE_OUTPUT_FORMATS</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Cup-class.html#add_next_word">add_next_word()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Cup-class.html">Cup</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis-module.html">analysis</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#add_time_columns">add_time_columns()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#AVAILABLE_ALGORITHMS">AVAILABLE_ALGORITHMS</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="C">C</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#check_args">check_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html">cli</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams-module.html">pyspottedunipd.ngrams</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#create_args">create_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#check_args">check_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html">cli</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text-module.html">pyspottedunipd.text</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#create_args">create_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#check_args">check_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#cluster_3d_plot">cluster_3d_plot()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#create_args">create_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#check_args">check_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#cluster_analyze">cluster_analyze()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Cup-class.html">Cup</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models-module.html">pyspottedunipd.ngrams.models</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html">cli</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis-module.html">pyspottedunipd.analysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#convert_time_columns">convert_time_columns()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html">cli</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#create_args">create_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="D">D</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Markov-class.html#database">database()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Markov-class.html">Markov</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookBot-class.html#download_page_posts">download_page_posts()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookBot-class.html">FacebookBot</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="F">F</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookBot-class.html">FacebookBot</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models-module.html">pyspottedunipd.fb.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookPost-class.html">FacebookPost</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models-module.html">pyspottedunipd.fb.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb-module.html">fb</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models-module.html">pyspottedunipd.fb.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models-module.html">pyspottedunipd.analysis.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Markov-class.html#file_to_words">file_to_words()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Markov-class.html">Markov</a>)</span></td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="G">G</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html#generate_from_file">generate_from_file()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookBot-class.html#get_latest_posts_of_page">get_latest_posts_of_page()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookBot-class.html">FacebookBot</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#get_top_words_in_file">get_top_words_in_file()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html#generate_from_string">generate_from_string()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html#get_page_posts_url">get_page_posts_url()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookPost-class.html#get_totals">get_totals()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookPost-class.html">FacebookPost</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Markov-class.html#generate_markov_text">generate_markov_text()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Markov-class.html">Markov</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html#get_post_summary_urls">get_post_summary_urls()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#get_words">get_words()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html#get_api_driver">get_api_driver()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html#get_top_posts">get_top_posts()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html">StatsAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#get_words_count">get_words_count()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html#get_api_url">get_api_url()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#get_top_words">get_top_words()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#get_words_in_file">get_words_in_file()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="H">H</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#HEADERS_TO_ANALYZE">HEADERS_TO_ANALYZE</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html#HEADERS_TO_ANALYZE">HEADERS_TO_ANALYZE</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html#hours_clusters_of_top_posts">hours_clusters_of_top_posts()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a>)</span></td>
</tr>
<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="I">I</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.tmp-module.html#INPUT_FOLDER">INPUT_FOLDER</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.tmp-module.html">pyspottedunipd.tmp</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="M">M</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#main">main()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html#make_cups">make_cups()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models-module.html">models</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis-module.html">pyspottedunipd.analysis</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#main">main()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Markov-class.html">Markov</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models-module.html">pyspottedunipd.ngrams.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models-module.html">models</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb-module.html">pyspottedunipd.fb</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#main">main()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#ml_analyze">ml_analyze()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models-module.html">models</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams-module.html">pyspottedunipd.ngrams</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#main">main()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models-module.html">pyspottedunipd.analysis.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html#months_clusters_of_top_posts">months_clusters_of_top_posts()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a>)</span></td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="N">N</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models-module.html">pyspottedunipd.ngrams.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams-module.html">ngrams</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#NUMBER_OF_POSTS_TO_FETCH">NUMBER_OF_POSTS_TO_FETCH</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
</tr>
<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="P">P</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookPost-class.html#parse">parse()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookPost-class.html">FacebookPost</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#parse_args">parse_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#predict_feature">predict_feature()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html#parse_api_response">parse_api_response()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#parse_csv">parse_csv()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html#print_cups">print_cups()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#parse_args">parse_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#parse_csv">parse_csv()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd-module.html">pyspottedunipd</a></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#parse_args">parse_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html#parse_csv">parse_csv()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#parse_args">parse_args()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.tmp-module.html#PERCENTILES">PERCENTILES</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.tmp-module.html">pyspottedunipd.tmp</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="S">S</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.utils-module.html#save_dicts_to_csv">save_dicts_to_csv()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.utils-module.html">pyspottedunipd.utils</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html#show_correlation_matrix">show_correlation_matrix()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html">StatsAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html">StatsAnalysis</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models-module.html">pyspottedunipd.analysis.models</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.utils-module.html#save_matrix_to_csv">save_matrix_to_csv()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.utils-module.html">pyspottedunipd.utils</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#show_correlation_matrix_of_data">show_correlation_matrix_of_data()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#select_k_best">select_k_best()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.cli-module.html#SPOTTED_UNIPD_PAGE_ID">SPOTTED_UNIPD_PAGE_ID</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.cli-module.html">pyspottedunipd.cli</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="T">T</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.text-module.html">text</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models-module.html">pyspottedunipd.analysis.models</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html#topword">topword()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.cli-module.html#time_analyze">time_analyze()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.cli-module.html">pyspottedunipd.analysis.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.tmp-module.html">tmp</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Markov-class.html#triples">triples()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Markov-class.html">Markov</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#TIME_HEADERS_TO_CONVERT">TIME_HEADERS_TO_CONVERT</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookPost-class.html#to_dict">to_dict()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookPost-class.html">FacebookPost</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html#TIME_HEADERS_TO_CONVERT">TIME_HEADERS_TO_CONVERT</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookPost-class.html#to_json">to_json()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookPost-class.html">FacebookPost</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="U">U</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.utils-module.html">utils</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="W">W</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#WORDS_BLACKLIST_FIlE">WORDS_BLACKLIST_FIlE</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#WORDS_TO_GENERATE">WORDS_TO_GENERATE</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#write_csv">write_csv()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a>)</span></td>
</tr>
<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
</table>
</td></tr>
<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="_">_</a></h2></td>
<td valign="top">
<table class="link-index" width="100%" border="1">
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.FacebookPostsDataFilter-class.html">FacebookPostsDataFilter</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Cup-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Cup-class.html">Cup</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.cli-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.cli-module.html">pyspottedunipd.ngrams.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.MLAnalysis-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.MLAnalysis-class.html">MLAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.Markov-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.Markov-class.html">Markov</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models-module.html">pyspottedunipd.ngrams.models</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.StatsAnalysis-class.html">StatsAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams.models.NGram-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams.models.NGram-class.html">NGram</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text-module.html">pyspottedunipd.text</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis.models.TimeAnalysis-class.html">TimeAnalysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd-module.html">pyspottedunipd</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.text.cli-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.text.cli-module.html">pyspottedunipd.text.cli</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookBot-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookBot-class.html">FacebookBot</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.analysis-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.analysis-module.html">pyspottedunipd.analysis</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.utils-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.utils-module.html">pyspottedunipd.utils</a>)</span></td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookGraphApi-class.html">FacebookGraphApi</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb-module.html">pyspottedunipd.fb</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
<tr>
<td width="33%" class="link-index"><a href="pyspottedunipd.fb.models.FacebookPost-class.html#__init__">__init__()</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.fb.models.FacebookPost-class.html">FacebookPost</a>)</span></td>
<td width="33%" class="link-index"><a href="pyspottedunipd.ngrams-module.html#__package__">__package__</a><br />
<span class="index-where">(in&nbsp;<a href="pyspottedunipd.ngrams-module.html">pyspottedunipd.ngrams</a>)</span></td>
<td width="33%" class="link-index">&nbsp;</td>
</tr>
</table>
</td></tr>
</table>
<br /><br /><!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Indices&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/spotted-unipd">PySpottedUnipd</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Thu Apr 20 22:50:23 2017
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
